Loading...
Searching...
No Matches
binder_second< BinaryFunction, A2 >

## Detailed Description

template<class BinaryFunction, class A2>
struct rheolef::details::binder_second< BinaryFunction, A2 >

Definition at line 1849 of file expression.h.

## Public Member Functions

| binder_second (const BinaryFunction &f, const A2 &x2)
template<class A1 >
generic_binary_traits< BinaryFunction >::template result_hint< A1, A2 >::type | operator() (const A1 &x1) const

## Protected Attributes

BinaryFunction | _f
A2 | _x2

## Constructor & Destructor Documentation

## binder_second()

template<class BinaryFunction , class A2 >

binder_second | ( | const BinaryFunction & | f,
|  | const A2 & | x2
| ) |  |

Definition at line 1850 of file expression.h.

## Member Function Documentation

## operator()()

template<class BinaryFunction , class A2 >
template<class A1 >

generic_binary_traits< BinaryFunction >::template result_hint< A1, A2 >::type operator() | ( | const A1 & | x1 | ) | const

Definition at line 1853 of file expression.h.

## Member Data Documentation

## _f

template<class BinaryFunction , class A2 >

BinaryFunction _f

protected

Definition at line 1855 of file expression.h.

## _x2

template<class BinaryFunction , class A2 >

A2 _x2

protected

Definition at line 1856 of file expression.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-Hrneba/rheolef-7.2/main/lib/expression.h